## node-dom-serializer 0.2.2

=== Makefile ===
MOCHA = node_modules/.bin/mocha
XYZ = node_modules/.bin/xyz --message X.Y.Z --repo git@github.com:cheeriojs/dom-serializer.git


.PHONY: release-major release-minor release-patch
release-major: LEVEL = major
release-minor: LEVEL = minor
release-patch: LEVEL = patch

release-major release-minor release-patch:
	@$(XYZ) --increment $(LEVEL)


.PHONY: setup
setup:
	npm install


.PHONY: test
test:
	$(MOCHA)

## node-dom-serializer 0.1.0

=== debian/changelog ===
node-dom-serializer (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #848325)

 -- Paolo Greppi <paolo.greppi@libpf.com>  Fri, 16 Dec 2016 10:16:55 +0000

=== debian/control ===
Source: node-dom-serializer
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Paolo Greppi <paolo.greppi@libpf.com>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , nodejs
Standards-Version: 3.9.8
Homepage: https://github.com/cheeriojs/dom-renderer
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-dom-serializer.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-dom-serializer.git

Package: node-dom-serializer
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-entities (>= 1.1.1)
 , node-domelementtype (>= 1.1.1)
Description: render htmlparser2's DOM nodes to string
 Node.js module that renders to a tring a DOM (Document Object
 Model) created with the node-domhandler module.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/tests/control ===
Tests: require
Depends: node-dom-serializer

=== debian/watch ===
version=3
# It is not recommended use fakeupstream. Please investigate more.
# Origin url: https://github.com/cheeriojs/dom-renderer
# Take a look at https://wiki.debian.org/debian/watch/
# See also fakeupstream: http://anonscm.debian.org/viewvc/qa/trunk/cgi-bin/fakeupstream.cgi?view=markup
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*=// \
 http://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=npmjs/dom-serializer .*=dom-serializer-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## node-dom-serializer 0.2.2

=== debian/changelog ===
node-dom-serializer (0.2.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.2.2

 -- Xavier Guimard <yadd@debian.org>  Sat, 23 Nov 2019 12:53:20 +0100

node-dom-serializer (0.2.1-1) unstable; urgency=medium

  * Team upload

  [ Paolo Greppi ]
  * Update Vcs fields for migration to https://salsa.debian.org/

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.1
  * Change section to javascript
  * Add debian/gbp.conf
  * Switch debian/watch to github source
  * Add upstream/metadata
  * New upstream version 0.2.1
  * Switch install to pkg-js-tools
  * Update dependencies version
  * Update debian/copyright

 -- Xavier Guimard <yadd@debian.org>  Wed, 16 Oct 2019 22:30:13 +0200

=== debian/control ===
Source: node-dom-serializer
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Paolo Greppi <paolo.greppi@libpf.com>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends:
 debhelper-compat (= 12)
 , nodejs
 , node-entities (>= 2.0.0~) <!nocheck>
 , node-domelementtype (>= 2.0.1~) <!nocheck>
 , pkg-js-tools (>= 0.9.12)
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/js-team/node-dom-serializer
Vcs-Git: https://salsa.debian.org/js-team/node-dom-serializer.git
Homepage: https://github.com/cheeriojs/dom-renderer
Rules-Requires-Root: no

Package: node-dom-serializer
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-entities (>= 2.0.0~)
 , node-domelementtype (>= 2.0.1~)
Description: render htmlparser2's DOM nodes to string
 Node.js module that renders to a tring a DOM (Document Object
 Model) created with the node-domhandler module.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with nodejs

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Tests disabled during build to avoid circular dependency
	node -e 'require(".")'
endif

## node-dom-serializer 1.2.0

=== debian/changelog ===
node-dom-serializer (1.2.0-5) unstable; urgency=medium

  * Team upload
  * Update build dependencies: require node-cheerio ≥ 1.0.0~rc~5~
  * Team upload
  * Source-only upload

 -- Xavier Guimard <yadd@debian.org>  Sun, 10 Jan 2021 20:17:32 +0100

node-dom-serializer (1.2.0-4) unstable; urgency=medium

  * Team upload
  * Binary upload to workaround circular build dependencies
  * Fix tsc links

 -- Xavier Guimard <yadd@debian.org>  Sun, 10 Jan 2021 09:36:28 +0100

node-dom-serializer (1.2.0-3) unstable; urgency=medium

  * Team upload
  * Back to unstable after successful tests

 -- Xavier Guimard <yadd@debian.org>  Sat, 09 Jan 2021 22:06:14 +0100

node-dom-serializer (1.2.0-2) experimental; urgency=medium

  * Team upload
  * Indicate that it breaks node-cheerio < 1.0.0~rc~5+~cs6.1.2~

 -- Xavier Guimard <yadd@debian.org>  Sat, 09 Jan 2021 06:05:09 +0100

node-dom-serializer (1.2.0-1) experimental; urgency=medium

  * Team upload
  * New upstream version 1.2.0
  * Require node-domhandler ≥ 4

 -- Xavier Guimard <yadd@debian.org>  Fri, 08 Jan 2021 17:56:54 +0100

node-dom-serializer (1.1.0-1) experimental; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Use dh-sequence-nodejs
  * New upstream version 1.1.0
  * Build with tsc
  * Add build dependency to jest, node-cheerio and node-typescript
  * Add dependency to node-domhandler ≥ 3

 -- Xavier Guimard <yadd@debian.org>  Fri, 08 Jan 2021 14:28:52 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,15 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 12)
+ , jest (>= 26.6.3+repack+~cs61.38.31-5~)
  , nodejs
+ , node-cheerio (>= 1.0.0~rc~5~)
  , node-entities (>= 2.0.0~) <!nocheck>
  , node-domelementtype (>= 2.0.1~) <!nocheck>
- , pkg-js-tools (>= 0.9.12)
-Standards-Version: 4.4.1
+ , node-domhandler (>= 4.0.0~) <!nocheck>
+ , node-typescript
+ , dh-sequence-nodejs
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-dom-serializer
 Vcs-Git: https://salsa.debian.org/js-team/node-dom-serializer.git
 Homepage: https://github.com/cheeriojs/dom-renderer
@@ -20,9 +24,10 @@
 Architecture: all
 Depends:
  ${misc:Depends}
- , nodejs
  , node-entities (>= 2.0.0~)
  , node-domelementtype (>= 2.0.1~)
+ , node-domhandler (>= 4.0.0~)
+Breaks: node-cheerio (<< 1.0.0~rc~5+~cs6.1.2~)
 Description: render htmlparser2's DOM nodes to string
  Node.js module that renders to a tring a DOM (Document Object
  Model) created with the node-domhandler module.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-dom-renderer-$1.tar.gz/ \
 https://github.com/cheeriojs/dom-renderer/tags .*/archive/v?([\d\.]+).tar.gz

## node-dom-serializer 1.3.2

=== debian/changelog ===
node-dom-serializer (1.3.2-4) unstable; urgency=medium

  * Team upload
  * Fix build: move jest-diff to debian/nodejs/extcopies

 -- Yadd <yadd@debian.org>  Mon, 06 Dec 2021 10:32:18 +0100

node-dom-serializer (1.3.2-3) unstable; urgency=medium

  * Team upload
  * Source-only upload

 -- Yadd <yadd@debian.org>  Tue, 19 Oct 2021 14:47:41 +0200

node-dom-serializer (1.3.2-2) unstable; urgency=medium

  * Team upload
  * Binary upload

 -- Yadd <yadd@debian.org>  Mon, 18 Oct 2021 06:25:08 +0200

node-dom-serializer (1.3.2-1) unstable; urgency=medium

  * Team upload
  * Fix GitHub tags regex
  * Update standards version to 4.6.0, no changes needed.
  * New upstream version 1.3.2
  * require node-domhandler ≥ 4.2.0~

 -- Yadd <yadd@debian.org>  Sat, 16 Oct 2021 08:32:05 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12)
+ debhelper-compat (= 13)
  , jest (>= 26.6.3+repack+~cs61.38.31-5~)
  , nodejs
  , node-cheerio (>= 1.0.0~rc~5~)
  , node-entities (>= 2.0.0~) <!nocheck>
  , node-domelementtype (>= 2.0.1~) <!nocheck>
- , node-domhandler (>= 4.0.0~) <!nocheck>
+ , node-domhandler (>= 4.2.0~) <!nocheck>
  , node-typescript
  , dh-sequence-nodejs
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-dom-serializer
 Vcs-Git: https://salsa.debian.org/js-team/node-dom-serializer.git
 Homepage: https://github.com/cheeriojs/dom-renderer
@@ -26,7 +26,7 @@
  ${misc:Depends}
  , node-entities (>= 2.0.0~)
  , node-domelementtype (>= 2.0.1~)
- , node-domhandler (>= 4.0.0~)
+ , node-domhandler (>= 4.2.0~)
 Breaks: node-cheerio (<< 1.0.0~rc~5+~cs6.1.2~)
 Description: render htmlparser2's DOM nodes to string
  Node.js module that renders to a tring a DOM (Document Object

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-dom-renderer-$1.tar.gz/ \
 https://github.com/cheeriojs/dom-renderer/tags .*/archive/.*/v?([\d\.]+).tar.gz

## node-dom-serializer 2.0.0

=== debian/changelog ===
node-dom-serializer (2.0.0-4) unstable; urgency=medium

  * Team upload
  * Set upstream metadata fields: Repository
  * Update standards version to 4.6.2, no changes needed
  * Build missing ES files

 -- Yadd <yadd@debian.org>  Wed, 12 Apr 2023 09:00:31 +0400

node-dom-serializer (2.0.0-3) unstable; urgency=medium

  * Team upload
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse
  * Add fix for node-cheerio 1.0.0~rc~12 (fixes autopkgtest)

 -- Yadd <yadd@debian.org>  Wed, 30 Nov 2022 22:29:04 +0100

node-dom-serializer (2.0.0-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Mon, 27 Jun 2022 09:16:52 +0200

node-dom-serializer (2.0.0-1) experimental; urgency=medium

  * Team upload
  * New upstream version 2.0.0
  * Enable upstream test (jest)

 -- Yadd <yadd@debian.org>  Sat, 25 Jun 2022 13:59:20 +0200

node-dom-serializer (1.3.2-5) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.1
  * Fix filenamemangle
  * Fix build links (Closes: #1011851)

 -- Yadd <yadd@debian.org>  Wed, 01 Jun 2022 11:49:54 +0200

=== debian/control ===
Source: node-dom-serializer
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Paolo Greppi <paolo.greppi@libpf.com>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs
 , jest (>= 27~)
 , node-cheerio (>= 1.0.0~rc~9~)
 , node-entities (>= 4.2.0~) <!nocheck>
 , node-domelementtype (>= 2.3.0~) <!nocheck>
 , node-domhandler (>= 5.0.2~) <!nocheck>
 , node-typescript
 , ts-jest
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/js-team/node-dom-serializer
Vcs-Git: https://salsa.debian.org/js-team/node-dom-serializer.git
Homepage: https://github.com/cheeriojs/dom-renderer
Rules-Requires-Root: no

Package: node-dom-serializer
Architecture: all
Depends:
 ${misc:Depends}
 , node-entities (>= 4.2.0~)
 , node-domelementtype (>= 2.3.0~)
 , node-domhandler (>= 5.0.2~)
Breaks: node-cheerio (<< 1.0.0~rc~5+~cs6.1.2~)
Description: render htmlparser2's DOM nodes to string
 Node.js module that renders to a tring a DOM (Document Object
 Model) created with the node-domhandler module.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,12 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with nodejs
+	dh $@
+
+override_dh_auto_build:
+	tsc
+	tsc --module esnext --target es2019 --outDir lib/esm
+	echo '{"type":"module"}' > lib/esm/package.json
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-dom-renderer-$1/ \
 https://github.com/cheeriojs/dom-renderer/tags .*/archive/.*/v?([\d\.]+).tar.gz
